package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;

@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandSubProjectReq {
    @ApiModelProperty(value = "需求名称")
    @NotEmpty(message = "需求名称不能为空")
    private String demandName;

    @ApiModelProperty(value = "需求内容")
    @NotEmpty(message = "需求内容不能为空")
    private String demandContent;
}
