package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 17:00
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DictionaryInsertReq {

    @ApiModelProperty(value = "父id")
    private Integer parentId;

    @ApiModelProperty(value = "排序")
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "值")
    @NotEmpty(message = "值不能为空")
    private String value;

}
