package com.migao.entity.vo.req;

import com.migao.config.constant.SelectStatus;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 17:00
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjecfieldInsertReq {

    @ApiModelProperty(value = "是否必填")
    private SelectStatus isRequired;

    @ApiModelProperty(value = "字段名称")
    private String name;

}
