package com.migao.entity.vo.req;

import com.migao.config.response.BasePageRequest;
import lombok.*;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;


@NoArgsConstructor
@AllArgsConstructor
@Data
public class PurchasingApprovalPageQueryReq extends BasePageRequest {

    @ApiModelProperty(value = "储备年份")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "项目名称")
    private String name;

    @ApiModelProperty(value = "下达状态")
    private String orderStatus;

    @ApiModelProperty(value = "储备状态")
    private String reserveStatus;

}
