package com.migao.entity.vo.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class MessageQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "消息序号")
    private Integer messageNumber;

    @ApiModelProperty(value = "标题")
    private String name;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "发送人")
    private String sendUser;

    @ApiModelProperty(value = "接收人")
    private String acceptUser;

    @ApiModelProperty(value = "设计项目")
    private String designProject;

    @ApiModelProperty(value = "通知类型")
    private String messageType;

    @ApiModelProperty(value = "读取状态")
    private String status;
}
