package com.migao.entity.vo.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class MilestoneQueryRes {

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    private Integer deleted;
    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endTime;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "项目id")
    private Integer projectId;
    @ApiModelProperty(value = "进度")
    private String schedule;
    @ApiModelProperty(value = "状态")
    private String status;

}
