package com.migao.entity.vo.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjectStageQueryRes {

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "储备年份")
    private LocalDateTime createTime;
    @ApiModelProperty(value = "")
    private Integer createUserId;
    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    private Integer deleted;
    @ApiModelProperty(value = "项目名称")
    private String name;
    @ApiModelProperty(value = "排序")
    private Integer sort;

}
