package com.migao.service;

import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.ProjectStageInsertReq;
import com.migao.entity.vo.req.ProjectStagePageQueryReq;
import com.migao.entity.vo.req.ProjectStageQueryReq;
import com.migao.entity.vo.req.ProjectStageUpdateReq;
import com.migao.entity.vo.res.ProjecfieldQueryRes;
import com.migao.entity.vo.res.ProjectStageQueryRes;


import java.util.List;

public interface ProjectStageService {

    ResponseBean<?>insert(ProjectStageInsertReq projectStageInsertReq);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> update(ProjectStageUpdateReq projectStageUpdateReq);

    ResponseBean<PageBean<ProjecfieldQueryRes>> pageQuery(ProjectStagePageQueryReq projectStagePageQueryReq);

    ResponseBean<?> findById(Integer id);
}
