package com.migao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.migao.config.response.ResponseBean;
import com.migao.config.response.ResponseBuilder;
import com.migao.entity.po.DemandAttachment;
import com.migao.mapper.DemandAttachmentMapper;
import com.migao.service.DemandAttachmentService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author dingsong
 */
@Slf4j
@Service
@Transactional(rollbackFor = {Exception.class})
public class DemandAttachmentServiceImpl extends ServiceImpl<DemandAttachmentMapper, DemandAttachment> implements DemandAttachmentService {
    @Resource
    DemandAttachmentMapper demandA;

    @Override
    public ResponseBean<?> deleteById(String id) {
        if(id!=null){
            Integer idInt = Integer.parseInt(id);
            DemandAttachment demandAttachment = demandA.selectById(idInt);
            demandAttachment.setDeleted(1);
            demandA.updateById(demandAttachment);
        }
        return ResponseBuilder.ok();
    }
}
