package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class ProjecappendQueryReq {

    @ApiModelProperty(value = "主键")
    private Integer id;
    @ApiModelProperty(value = "初步设计评审")
    private String appraisal;
    @ApiModelProperty(value = "大工程编码")
    private String bigCode;
    @ApiModelProperty(value = "服务内容")
    private String content;
    @ApiModelProperty(value = "重庆市电力公司项目管理部门")
    private String department;
    @ApiModelProperty(value = "项目核准")
    private String examine;
    @ApiModelProperty(value = "可研批复")
    private String give;
    @ApiModelProperty(value = "是/否完项目核准或审批手续")
    private String ifApprove;
    @ApiModelProperty(value = "是/否履行采购流程手续")
    private String ifPurchase;
    @ApiModelProperty(value = "招标限价含税（万元）")
    private String limited;
    @ApiModelProperty(value = "联系人")
    private String linkman;
    @ApiModelProperty(value = "大工程名称")
    private String name;
    @ApiModelProperty(value = "工程性质")
    private String nature;
    @ApiModelProperty(value = "项目编号")
    private String no;
    @ApiModelProperty(value = "初设批复")
    private String official;
    @ApiModelProperty(value = "采购编号")
    private String procurementNo;
    @ApiModelProperty(value = "项目部门")
    private String projectDepartment;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "特定资格业绩建议")
    private String suggest;
    @ApiModelProperty(value = "技术规范书ID")
    private String technical;
    @ApiModelProperty(value = "设计施工监理工期")
    private String time;
    @ApiModelProperty(value = "项目总投资（万元）")
    private String total;
    @ApiModelProperty(value = "合同版本")
    private String versions;
    @ApiModelProperty(value = "电压等级")
    private String voltage;

}
