package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 17:00
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class ProjecmemberInsertReq {

    @ApiModelProperty(value = "储备年份")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "部门")
    private String departmentName;

    @ApiModelProperty(value = "是否签署保密协议")
    //@NotEmpty(message = "是否签署保密协议不能为空")
    private String isSigned;

    @ApiModelProperty(value = "项目名称")
    //@NotEmpty(message = "项目名称不能为空")
    private String name;

    @ApiModelProperty(value = "项目编码")
    //@NotNull(message = "项目编码不能为空")
    private Integer projectId;

}
