package com.migao.entity.vo.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandAttachmentRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "附件名称")
    private String name;

    @ApiModelProperty(value = "提交人")
    private String submitter;

    @ApiModelProperty(value = "提交时间")
    private LocalDateTime createTime;
}
