package com.migao.entity.vo.res;

import com.migao.config.response.BasePageRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandLibraryPageQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "需求编号")
    private String demandNumber;

    @ApiModelProperty(value = "需求名称")
    private String demandName;

    @ApiModelProperty(value = "需求内容")
    private String demandContent;

    @ApiModelProperty(value = "需求分类")
    private String demandClass;

    @ApiModelProperty(value = "提交单位")
    private String unitName;

    @ApiModelProperty(value = "需求状态")
    private String demandStatus;

    @ApiModelProperty(value = "需求进度")
    private BigDecimal demandSchedule;

    @ApiModelProperty(value = "关联项目")
    private String associatedProjectId;

    @ApiModelProperty(value = "提交人")
    private String submitter;

    @ApiModelProperty(value = "提交时间")
    private LocalDateTime submitTime;

    @ApiModelProperty(value = "逻辑删除 0未删除 1已删除")
    private Integer deleted;
}
