package com.migao.entity.vo.res;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;


@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class UserQueryRes {

    @ExcelIgnore
    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer id;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ExcelProperty(value = "注册手机号")
    @ApiModelProperty(value = "注册手机号")
    private String phone;

    @ExcelProperty(value = "用户")
    @ApiModelProperty(value = "用户")
    private String username;

    @ExcelProperty(value = "用户名称")
    @ApiModelProperty(value = "用户名称")
    private String name;

    @ExcelProperty(value = "部门id")
    @ApiModelProperty(value = "部门id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long departmentId;

    @ExcelProperty(value = "部门名称")
    @ApiModelProperty(value = "部门名称")
    private String departmentName;

}
