package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.Department;
import com.migao.entity.vo.req.DepartmentInsertReq;
import com.migao.entity.vo.req.DepartmentPageQueryReq;
import com.migao.entity.vo.req.DepartmentUpdateReq;
import com.migao.entity.vo.res.DepartmentQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface DepartmentService  {
    ResponseBean<PageBean<DepartmentQueryRes>> pageQuery(DepartmentPageQueryReq departmentPageQueryReq);

    ResponseBean<?> update(DepartmentUpdateReq departmentUpdateReq);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> findById(Integer id);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> insert(DepartmentInsertReq departmentInsertReq);
}
