package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.ProjectField;
import com.migao.entity.vo.req.ProjecfieldInsertReq;
import com.migao.entity.vo.req.ProjecfieldPageQueryReq;
import com.migao.entity.vo.req.ProjecfieldUpdateReq;
import com.migao.entity.vo.res.ProjecfieldQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface ProjectFieldService {
    ResponseBean<?> findById(Integer id);

    ResponseBean<PageBean<ProjecfieldQueryRes>> pageQuery(ProjecfieldPageQueryReq projecfieldPageQueryReq);

    ResponseBean<?> update(ProjecfieldUpdateReq projecfieldUpdateReq);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> insert(ProjecfieldInsertReq projecfieldInsertReq);

}
