package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.PurchasingApproval;
import com.migao.entity.vo.req.PurchasingApprovalPageQueryReq;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.entity.vo.res.PurchasingApprovalQueryRes;

import java.util.List;

public interface PurchasingApprovalService{
    ResponseBean<PageBean<ProjectQueryRes>> pageQuery(PurchasingApprovalPageQueryReq purchasingApprovalPageQueryReq);

    ResponseBean<?> submit(Integer projectId, List<Integer> demandIdList);

    ResponseBean<?> approve(Integer id);

    ResponseBean<?> reject(Integer id);

    ResponseBean<?> transmit(Integer projectId, String email, String company);

    ResponseBean<?> contractEntry(Integer projectId, Integer fileId);
}
